Skip to main content

Documentation Index

Fetch the complete documentation index at: https://domoinc-arun-raj-connectors-domo-479695-remove-crime-report.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

This API reference is useful if you are trying to manage Domo Users from anywhere ‘outside’ of your Domo instance such as:
  1. Jupyter scripts
  2. Code Engine Functions
  3. Custom Java/Node/Python scripts

Create User

Playground

Method: POST
Endpoint: /api/identity/v1/users
Example:
{
  "method": "POST",
  "url": "https://{instance}.domo.com/api/identity/v1/users",
  "headers": {
    "X-DOMO-Developer-Token": "",
    "Content-Type": "application/json"
  },
  "body": {
    "displayName": string,
    "emailAddress": string,
    "roleId": number
  }
}
Response:
HTTP/1.1 200 OK
  Content-Type: application/json;charset=UTF-8
  {
    "attributes": [
      {
        "key": string,
        "values": number|string[]
      },
    ],
    "id": number,
    "displayName": string,
    "userName": string,
    "roleId": number,
    "emailAddress": string
  }

Get User By Id

Playground

Method: GET
Endpoint: /api/identity/v1/users/{id}
Path Parameters:
  • id- Id of the user requested.
    • Integer
    • Required
Optional Query Parameters:
  • parts
    • Options
      • MINIMAL
      • SIMPLE
      • DETAILED
      • GROUPS
      • ROLE
    • Example
      • /api/identity/v1/users/{id}?parts=DETAILED
Example
{
  "method": "GET",
  "url": "https://{instance}.domo.com/api/identity/v1/users/{id}",
  "headers": {
    "X-DOMO-Developer-Token": "",
    "Content-Type": "application/json"
  }
}
Response:
HTTP/1.1 200 OK
  Content-Type: application/json;charset=UTF-8
  {
    "users": [
      {
        "attributes": [
          {
            "key": string,
            "values": number|string[]
          },
        ],
        "id": number,
        "displayName": string,
        "userName": string,
        "roleId": number,
        "emailAddress": string
      }
    ]
  }

Get All Users

Playground

Method: GET
Endpoint: /api/identity/v1/users
Optional Query Parameters:
  • parts
    • Options
      • MINIMAL
      • SIMPLE
      • DETAILED
      • GROUPS
      • ROLE
    • Example
      • /api/identity/v1/users?parts=DETAILED
Example
{
  "method": "GET",
  "url": "https://{instance}.domo.com/api/identity/v1/users",
  "headers": {
    "X-DOMO-Developer-Token": "",
    "Content-Type": "application/json"
  }
}
Response:
HTTP/1.1 200 OK
  Content-Type: application/json;charset=UTF-8
  {
    "users": [
      {
        "attributes": [
          {
            "key": string,
            "values": number|string[]
          },
        ],
        "id": number,
        "displayName": string,
        "userName": string,
        "roleId": number,
        "emailAddress": string
      }
    ]
  }

Update User

Playground

Method: PATCH
Endpoint: /api/identity/v1/users/{id}
Path Parameters:
  • id - Id of the user requested.
    • Integer
    • Required
Example:
{
  "method": "PATCH",
  "url": "https://{instance}.domo.com/api/identity/v1/users/{id}",
  "headers": {
    "X-DOMO-Developer-Token": "",
    "Content-Type": "application/json",
    "body": {
      "roleId": 5
    }
  }
}
Response:
HTTP/1.1 200 OK
  Content-Type: application/json;charset=UTF-8
  {
    "attributes": [
      {
        "key": string,
        "values": number|string[]
      },
    ],
    "id": number,
    "displayName": string,
    "userName": string,
    "roleId": number,
    "emailAddress": string
  }

Delete User

Playground

Method: DELETE
Endpoint: /api/identity/v1/users/{id}
Path Parameters:
  • id - Id of the user requested.
    • Integer
    • Required
Example:
{
  "method": "DELETE",
  "url": "https://{instance}.domo.com/api/identity/v1/users/{id}",
  "headers": {
    "X-DOMO-Developer-Token": "",
    "Content-Type": "application/json",
    "body": {
      "roleId": 5
    }
  }
}
Response:
HTTP/1.1 200 OK
  Content-Type: application/json;charset=UTF-8
  1